Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Service Graph

GET
/observability/v1/workspaces/{workspace}/engines/{engine}/service-graph
curl --request GET \
--url https://example.com/observability/v1/workspaces/example/engines/example/service-graph

Returns the RED service-dependency graph derived from trace data over a window.

workspace
required
string

The workspace whose telemetry is queried.

engine
required
string

The provider: qibdo, aws, gcp, or azure.

start
string format: date-time

Start of the window (inclusive).

end
string format: date-time

End of the window (exclusive).

OK

Media type application/json

GetServiceGraphResponse

Response for GetServiceGraph.

object
service_graph

The service-dependency graph.

object
nodes

The service vertices.

Array<object>

ServiceNode

One service vertex in the service-dependency graph.

object
name

The service name.

string
edges

The directed call edges.

Array<object>

ServiceEdge

One directed call edge between two services (RED — request/error/duration).

object
source

The calling service.

string
target

The called service.

string
call_count

The number of calls over the window.

string
error_count

The number of failed calls over the window.

string
engine

The provider that served the query.

string format: enum Output only
Allowed values: ENGINE_UNSPECIFIED ENGINE_QIBDO ENGINE_AWS ENGINE_GCP ENGINE_AZURE
Example
{
"engine": "ENGINE_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}